Class
File
Represents a file.

File

Async | Chained | Striped | Sync

File<TSpec>
Include Headers
seqan/file.h
Parameters

TSpec | The specializing type. Default: Async<>, see Async.

Specializations

Async | File structure supporting synchronous and asynchronous input/output access.
Chained | Splits a large file into a chain of smaller files.
Striped | Stripes a file across multiple files.
Sync | File structure supporting synchronous input/output access.

Functions

asyncReadAt | Asynchronously loads records from a specific position in a file.
asyncWriteAt | Asynchronously saves records to a specific position in a file.
cancel | Cancels an asynchronous request.
close | Closes a file.
flush | Waits for all open requests to complete.
open | Opens a file.
openTemp | Opens a temporary file.
read | Loads records from a file.
readAt | Loads records from a specific position in a file.
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.
rewind | Sets the current file pointer to the beginning.
seek | Changes the current file pointer.
setEof | Sets the file end to the current pointer.
size | Gets the file size.
tell | Gets the current file pointer.
write | Saves records to a file.
writeAt | Saves records to a specific position in a file.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45